echo #ifndef _MNEMOSYNE_GIT_SHA1_H_ > ..\..\src\mnemosyne\git_sha1.h
echo #define _MNEMOSYNE_GIT_SHA1_H_ >> ..\..\src\mnemosyne\git_sha1.h
echo. >> ..\..\src\mnemosyne\git_sha1.h
echo|set /p ="#define GIT_SHA1 " >> ..\..\src\mnemosyne\git_sha1.h
git rev-parse HEAD >> ..\..\src\mnemosyne\git_sha1.h
echo. >> ..\..\src\mnemosyne\git_sha1.h
echo #endif // _MNEMOSYNE_GIT_SHA1_H_ >> ..\..\src\mnemosyne\git_sha1.h
